Install Sonarr Debian via command line

In This manual Sonarr install Debian. We will install the program Sonarr via the command line. On a Computer with Debian. Next, we will configure Sonarr. To automatically download your Favorites TV series. From the newsgroups.

Install Sonarr Debian

We need to add the Mono repository of Xamarin. So you know for sure. That you get the latest version of the Mono software.

sudo apt-key adv–keyserver hkp://keyserver.ubuntu.com:80–recv-Keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo “Deb Http://download.mono-project.com/repo/debian wheezy main” | sudo tee/etc/apt/sources.list.d/mono-xamarin.list

We need to add the “https” installation source capability.

sudo apt-get install apt-transport-https-y

Now we go. Add the Sonarr repository.

sudo apt-key adv–keyserver keyserver.ubuntu.com–recv-Keys FDA5DFFC
echo “deb https://apt.sonarr.tv/ master main” | sudo tee -a /etc/apt/sources.list

We need to do an update now.

sudo apt-get update

Now we are going to download Sonarr. and install.

sudo apt-get install nzbdrone -y

Rights. On the Sonarr folder.

sudo chown -R username:username /opt/NzbDrone

We are now starting Sonarr. To see if it works.

mono /opt/NzbDrone/NzbDrone.exe

You have now completed the installation of Sonarr. And you can approach Sonaar via http://ip.adres:8989

Sonarr car start

Now we still have to make sure that Sonarr starts, while booting Debian. We will do that in the following way.

We’re going now. Create a startup script.

sudo nano /etc/init.d/nzbdrone

Below we paste here. Beware! Change the user name to your own username.

#! /bin/sh
### BEGIN INIT INFO
# Provides: NzbDrone script
### END INIT INFO

############### Edit me##################
# Path to App
APP_PATH=/opt/NzbDrone

# User
RUN_AS=Username

# Path to Mono bin
DAEMON=/usr/bin/mono

# Path to store PID file
PID_FILE=/var/run/nzbdrone/nzbdrone.pid
PID_PATH=$(dirname $PID_FILE)

# script Name
NAME=nzbdrone

# app Name
DESC=NzbDrone

# startup Args
EXENAME=”NzbDrone.exe”
DAEMON_OPTS=” “$EXENAME

############### End edit me##################

NZBDRONE_PID=`ps auxf | grep NzbDrone.exe | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $NZBDRONE_PID > $PID_FILE

case “$1” in
start)
if [ -z “$ {NZBDRONE_PID} ” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “NzbDrone already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $NZBDRONE_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use Basic Functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

We now close this file. and save it. Press CTRL + X key and then Y key. To confirm this.

Now we need. To make the script excutable. Make

sudo chmod +x /etc/init.d/nzbdrone

Now we add it to the start up.

sudo update-rc.d nzbdrone defaults

If, everything went well. Then Seouls the command below. Work now.

sudo service nzbdrone start

You can test this. Of you do a reboot

sudo reboot

You have now finished the startup script.

Sonarr Debian tutorial

  1. Sonarr tutorial
  2. Install Sonarr Debian
  3. Set up Sonarr with NZBGet Debian.
Share This

Leave a Reply